[POST] .../v1/firmgroup/get
Returns information about group enterprises. Use this method to retrieve firm groups for company selectors and group-tree management. The response returns FirmGroup records with child_count and supports filters for group id and parent_id; ids and parent_ids aliases. The caller must have firm group select permission; missing body, denied access, invalid filters and storage errors are returned as HTTP 200 ErrorResult business errors.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| filters | Array of Filter | Optional | Optional filters by fields available for this API method. |
Filterable Fields
| Field | Type | Description |
|---|---|---|
| id | int | Group IDs. |
| parent_id | int | Parent group IDs. |
Request Example
{
"filters": [
{
"field": "parent_id",
"operator": "Equal",
"value": "0"
}
]
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Array of FirmGroup | Result object. |
Response Example
{
"ok": true,
"result": [
{
"id": 1,
"parent_id": 0,
"name": "Retail group",
"child_count": 0,
"last_update": 1712345600
}
]
}